打印

关于deb2lzm的苦恼

关于deb2lzm的苦恼

昨天想把一些好玩的软件做成lzm文件

于是看了看slax的tool,居然带了deb2lzm,心中不禁有些兴奋。

于是把fanx以live形式放在硬盘上,执行deb2lzm,结果说缺少dpkg,转化无法完成!

求教各位兄弟,如何将deb包转化为lzm

【另mo2lzm还可以,成功生成了pidgin2.2.2.lzm,加载后是中文界面】
兄弟如手足【Fanx 开发小组:26047393】

TOP

deb2lzm就是一个脚本
要转换deb包最好在debian系统上完成(直接把deb2lzm复制过去就ok了)
中国Linux校园联盟 Linux Campus Union of China(LCUC)  在中国,学生永远是不可忽视的重要力量,让广大学生学习和使用Linux是一个让Linux快速普及的捷径。 希望所有爱好linux的人来到我们中间,用我们的力量创造一个美好的未来。 私人空间

TOP

我的电脑没有硬盘空间了,否则做个ubuntu就好了!
谢谢npcomet ,请问应该复制到哪里呢?
兄弟如手足【Fanx 开发小组:26047393】

TOP

复制到任意的地方都可以
不要忘记加上可执行权限就好了
中国Linux校园联盟 Linux Campus Union of China(LCUC)  在中国,学生永远是不可忽视的重要力量,让广大学生学习和使用Linux是一个让Linux快速普及的捷径。 希望所有爱好linux的人来到我们中间,用我们的力量创造一个美好的未来。 私人空间

TOP

再次感谢npcomet,我争取把自己的lzm和大家共享。
兄弟如手足【Fanx 开发小组:26047393】

TOP


帮助别人就是帮助自己
中国Linux校园联盟 Linux Campus Union of China(LCUC)  在中国,学生永远是不可忽视的重要力量,让广大学生学习和使用Linux是一个让Linux快速普及的捷径。 希望所有爱好linux的人来到我们中间,用我们的力量创造一个美好的未来。 私人空间

TOP

引用:
原帖由 npcomet 于 2007-11-25 17:33 发表

帮助别人就是帮助自己
我制作的picasa、pidgin2.2.2、还有xvidcap的lzm模块已经上传到http://ftp.fanx.org.cn/public/lzm/20beta2/

以后我会努力学习,为fanx发展及公社的发展尽自己的微薄之力!
兄弟如手足【Fanx 开发小组:26047393】

TOP

有一个叫做alie(可能拼错了)可以将在tgz包,deb包和rpm包之间转换。
还有deb包其实就是tar.gz的包,你可以将直接用tar解开重新打包就好

想在debian系统上使用deb2lzm你需要安装linux-live到系统上
===================FanX-2.0 coming====================

TOP

引用:
原帖由 wjping119 于 2007-11-26 13:56 发表
有一个叫做alie(可能拼错了)可以将在tgz包,deb包和rpm包之间转换。
还有deb包其实就是tar.gz的包,你可以将直接用tar解开重新打包就好

想在debian系统上使用deb2lzm你需要安装linux-live到系统上
我还想做一些游戏的lzm。可是有包依赖的问题存在。
兄弟如手足【Fanx 开发小组:26047393】

TOP

是alien啊,不过需要gcc以及make,fanx似乎有困难的说,看来不得不装个ubuntu或者slackware啦!
兄弟如手足【Fanx 开发小组:26047393】

TOP

fanx里边已经有gcc了。可以尝试一下
你下载alien的tgz包啊

supertux用到的包几乎全部是perl里边的,需要把这些包下载回来找
看来我得写一个找依赖文件的帖子了
===================FanX-2.0 coming====================

TOP

引用:
原帖由 wjping119 于 2007-11-28 12:19 发表
fanx里边已经有gcc了。可以尝试一下
你下载alien的tgz包啊

supertux用到的包几乎全部是perl里边的,需要把这些包下载回来找
看来我得写一个找依赖文件的帖子了
确实有必要,众人拾柴火焰高!
兄弟如手足【Fanx 开发小组:26047393】

TOP

引用:
原帖由 wjping119 于 2007-11-26 13:56 发表
有一个叫做alie(可能拼错了)可以将在tgz包,deb包和rpm包之间转换。
还有deb包其实就是tar.gz的包,你可以将直接用tar解开重新打包就好

想在debian系统上使用deb2lzm你需要安装linux-live到系统上
我把deb2lzm复制到ubuntu8.04的用户目录中,然后执行sudo deb2lzm wine_0.9.60.deb wine_0.9.60.lzm,提示找不到命令,不知怎样才能把deb包转换为lzm



[ 本帖最后由 wsfy008 于 2008-5-10 10:09 编辑 ]
附件: 您所在的用户组无法下载或查看附件

TOP